Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nativelibs4java.mono
Class MonoSymbolFileOffsetTable

    java.lang.Object
      com.sun.jna.Structure
          com.ochafik.lang.jnaerator.runtime.Structure<MonoSymbolFileOffsetTable,MonoSymbolFileOffsetTable.ByValue,MonoSymbolFileOffsetTable.ByReference>
              com.nativelibs4java.mono.MonoSymbolFileOffsetTable

All Implemented Interfaces:
  StructureType, StructureTypeDependent, java.lang.Comparable<Structure<MonoSymbolFileOffsetTable,MonoSymbolFileOffsetTable.ByValue,MonoSymbolFileOffsetTable.ByReference>>

Direct Known Subclasses:
  MonoSymbolFileOffsetTable.ByReference, MonoSymbolFileOffsetTable.ByValue

    public class MonoSymbolFileOffsetTable

extends Structure<MonoSymbolFileOffsetTable,MonoSymbolFileOffsetTable.ByValue,MonoSymbolFileOffsetTable.ByReference>

Keep in sync with OffsetTable in mcs/class/Mono.CSharp.Debugger/MonoSymbolTable.cs
native declaration : mono\metadata\debug-mono-symfile.h:21
This file was autogenerated by JNAerator,
a tool written by Olivier Chafik that uses a few opensource projects..
For help, please visit NativeLibs4Java, Rococoa, or JNA.

Nested Class Summary
`static class` | `MonoSymbolFileOffsetTable.ByReference`
`static class` | `MonoSymbolFileOffsetTable.ByValue`

Field Summary
`int` | `_anonymous_scope_count`
`int` | `_anonymous_scope_table_offset`
`int` | `_anonymous_scope_table_size`
`int` | `_compile_unit_count`
`int` | `_compile_unit_table_offset`
`int` | `_compile_unit_table_size`
`int` | `_data_section_offset`
`int` | `_data_section_size`
`int` | `_is_aspx_source`
`int` | `_line_number_table_line_base`
`int` | `_line_number_table_line_range`
`int` | `_line_number_table_opcode_base`
`int` | `_method_count`
`int` | `_method_table_offset`
`int` | `_method_table_size`
`int` | `_source_count`
`int` | `_source_table_offset`
`int` | `_source_table_size`
`int` | `_total_file_size`
`int` | `_type_count`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`MonoSymbolFileOffsetTable()`

Method Summary
`protected MonoSymbolFileOffsetTable.ByReference` | `newByReference()`
`protected MonoSymbolFileOffsetTable.ByValue` | `newByValue()`
`protected MonoSymbolFileOffsetTable` | `newInstance()`

Methods inherited from class com.ochafik.lang.jnaerator.runtime.Structure
`byReference, byValue, clone, compareTo, getBitsAnnotation, read, readDependency, setDependency, setupClone, toArray, toArray, toArray, toReferenceArray, toReferenceArray, toValueArray, toValueArray, useMemory, write`

Methods inherited from class com.sun.jna.Structure
`allocateMemory, allocateMemory, autoRead, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toString, useMemory, writeField, writeField`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.ochafik.lang.jnaerator.runtime.StructureType
`getPointer, size`

Field Detail

### _total_file_size

    public int _total_file_size

### _data_section_offset

    public int _data_section_offset

### _data_section_size

    public int _data_section_size

### _compile_unit_count

    public int _compile_unit_count

### _compile_unit_table_offset

    public int _compile_unit_table_offset

### _compile_unit_table_size

    public int _compile_unit_table_size

### _source_count

    public int _source_count

### _source_table_offset

    public int _source_table_offset

### _source_table_size

    public int _source_table_size

### _method_count

    public int _method_count

### _method_table_offset

    public int _method_table_offset

### _method_table_size

    public int _method_table_size

### _type_count

    public int _type_count

### _anonymous_scope_count

    public int _anonymous_scope_count

### _anonymous_scope_table_offset

    public int _anonymous_scope_table_offset

### _anonymous_scope_table_size

    public int _anonymous_scope_table_size

### _line_number_table_line_base

    public int _line_number_table_line_base

### _line_number_table_line_range

    public int _line_number_table_line_range

### _line_number_table_opcode_base

    public int _line_number_table_opcode_base

### _is_aspx_source

    public int _is_aspx_source

Constructor Detail

### MonoSymbolFileOffsetTable

    public MonoSymbolFileOffsetTable()

Method Detail

### newByReference

    protected MonoSymbolFileOffsetTable.ByReference newByReference()

  Specified by:
    `newByReference` in class `Structure<MonoSymbolFileOffsetTable,MonoSymbolFileOffsetTable.ByValue,MonoSymbolFileOffsetTable.ByReference>`

### newByValue

    protected MonoSymbolFileOffsetTable.ByValue newByValue()

  Specified by:
    `newByValue` in class `Structure<MonoSymbolFileOffsetTable,MonoSymbolFileOffsetTable.ByValue,MonoSymbolFileOffsetTable.ByReference>`

### newInstance

    protected MonoSymbolFileOffsetTable newInstance()

  Specified by:
    `newInstance` in class `Structure<MonoSymbolFileOffsetTable,MonoSymbolFileOffsetTable.ByValue,MonoSymbolFileOffsetTable.ByReference>`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD